Subject: RE: [Sip] RE: TLS meaning

From: "Elwell, John" <[email-masked]>
Date: Sun, 29 Oct 2006 11:25:07 +0000

> -----Original Message-----
> From: Francois Audet [mailto:[email-masked]] 
> Sent: 28 October 2006 00:26
> To: Michael Thomas
> Cc: IETF SIP List
> Subject: RE: [Sip] RE: TLS meaning
> 
>  
> 
> > -----Original Message-----
> > From: Michael Thomas [mailto:[email-masked]] 
> > Sent: Friday, October 27, 2006 4:20 PM
> > To: Audet, Francois (SC100:3055)
> > Cc: IETF SIP List
> > Subject: Re: [Sip] RE: TLS meaning
> > 
> > Francois Audet wrote:
> > 
> > >Please calm down.
> > >
> > >Here is one simple scenario.
> > >
> > >I deploy an Enteprise SIP network. I install 10 SIP proxies 
> > accross the 
> > >Corporate Network. All the proxies are certified to properly 
> > implement 
> > >SIPS. All the phones are also certified to implement SIPS 
> > properly. I 
> > >know, because I am responsible for the network.
> > >
> > >An end user can call another end-user within that network with the 
> > >certitude that if sips is used, it will be secured end-to-end.
> > >
> > 
> > How about an example when it's not all within the same 
> > administrative entity. How abouts some examples that 
> > resemble, oh say, the mail system.
> > These have always been where my concerns are. Within my own 
> > domain, I don't need SIPS; I can do that by executive fiat.
> 
> In that case, if you don't have trust with them, then don't use
> sips. As simple as that.
> 
> Yes you need sips in your own domain, because some devices 
> support TLS, 
> others don't. Some users want to be addressed securily, others don't.
[JRE] In the sort of domains you have in mind, it is likely to be UAs that
don't support SIPS, and hence the importance of changing the last hop
exception rule.

> 
> 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip